Draft Fillet/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Fillet and the translation is 44% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский

Draft Fillet.svg Draft Fillet

Системное название
Draft Fillet
Расположение в меню
Draft → Fillet
Верстаки
Draft
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Draft Line, Draft Wire

Описание

The Draft Fillet.svg Draft Fillet command creates a fillet, a rounded corner, or a chamfer, a straight edge, between two Draft Lines.

Draft Fillet example.png

Several fillets and chamfers created between two lines

Применение

  1. Select two Draft Lines that meet in a single point.
  2. There are several ways to invoke the command:
    • Press the Draft Fillet.svg Draft Fillet button.
    • Select the Drafting → Draft Fillet.svg Fillet option from the menu.
    • Use the keyboard shortcut: F then I.
  3. Enter the Fillet radius. If the Create chamfer option is selected this will be the size of the chamfer (the length of the straight edge). Note that the command will not succeed if the radius or the chamfer size is too large for the selected lines.
  4. Optionally check the Delete original objects option.
  5. Optionally check the Create chamfer option.
  6. If you have selected one of the two previous options: Click in the Fillet radius input box.
  7. Press Enter.

Опции

  • Нажмите Esc или кнопку Отмена, чтобы отменить выполнение команды.

Примечания

  • A Draft Fillet cannot be edited nor is it linked to the lines that were used to create it.
  • Only Draft Lines, that is Draft Wires with only two points, are supported at the moment.
  • A Draft Wire that has at least three points can be filleted or chamfered by changing its ДанныеFillet Radius or ДанныеChamfer Size respectively. Since Draft Lines and Draft Wires, can be joined with the Draft Wire command, the Draft Join command or the Draft Upgrade command, this provides an alternative method for creating fillets and chamfers.

Свойства

See also: Property editor.

A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Данные

Draft

  • ДанныеEnd (VectorDistance): (read-only) specifies the end point of the fillet.
  • ДанныеFillet Radius (Length): (read-only) radius with which the fillet was created.
  • ДанныеLength (Length): (read-only) specifies the total length of the fillet.
  • ДанныеStart (VectorDistance): (read-only) specifies the start point of the fillet.

Вид

Draft

  • ВидArrow Size (Length): specifies the size of the symbol displayed at the end of the fillet.
  • ВидArrow Type (Enumeration): specifies the type of symbol displayed at the end of the fillet, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • ВидEnd Arrow (Bool): specifies whether to show a symbol at the end of the fillet, so it can be used as an annotation line.
  • ВидPattern (Enumeration): not used.
  • ВидPattern Size (Float): not used.

Программирование

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Fillet use the make_fillet method of the Draft module:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Creates a Fillet object between lines line1 and line2, using radius for the curvature.
  • If chamfer is True it will create a straight edge with the length of radius, instead of a rounded edge.
  • If delete is True it will delete the given line1 and line2, and leave only the new object.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)

doc.recompute()